<div class="">
    <ul class="pagination">
        <li class="first" ng-hide="pager.currentPage === 1" ng-click="setPage(1)">First</li>
        <li class="leftJump" ng-show="pager.currentPage > 10" ng-click="jumpPage('left', 10)"></li>
        <li class="prev" ng-class="{blur:pager.currentPage === 1}" ng-click="setPage(pager.currentPage - 1)"></li>
        <li ng-repeat="page in pager.pages" ng-click="setPage(page)" ng-class="{active:pager.currentPage === page}"> {{page}}</li>
        <li class="next" ng-class="{blur:pager.currentPage === pager.totalPages}"  ng-click="setPage(pager.currentPage + 1)"></li>
        <li class="rightJump" ng-show="pager.currentPage < pager.totalPages-10"  ng-click="jumpPage('right', 10)"></li>
        <li class="last" ng-hide="pager.currentPage === pager.totalPages" ng-click="setPage(pager.totalPages)">Last</li>
    </ul>
</div>